//////////////////////////
//explosion.h
//作成者：AT12D249 33 牧野駿太
//作成日：2016/08/26
//////////////////////////


#ifndef _EXPLOSION_H_   //２重インクルード
#define _EXPLOSION_H_   //防止のマクロ定義

#include "enemy.h"

/*構造体定義*/
typedef struct
{
	bool bUse;   //爆発が使われているかどうかのフラグ
	D3DXVECTOR3 Pos;   //爆発のポジション（死んだ弾のポジションが入る）
	D3DXVECTOR2 TxPos;   //爆発のテクスチャ座標
	int nCntTx;   //テクスチャ座標
	int nTxMode;   //テクスチャの番号
	int nColor;   //テクスチャの色
}EXPLOSION;

/*プロトタイプ宣言*/
void InitExplosion( void );
void UninitExplosion( void );
void UpdateExplosion( void );
void DrawExplosion( void );
void SetVerTexExplosion( ENEMY *pEnemy );

#endif